View Issue Details

IDProjectCategoryView StatusLast Update
0004924libmicrohttpdotherpublic2024-02-11 11:46
Reportersilvioprog Assigned Tosilvioprog  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.9.53Fixed in Version0.9.53 
Summary0004924: MHD can't find MO files
DescriptionHello,

I started a topic here:

http://lists.gnu.org/archive/html/libmicrohttpd/2017-02/msg00028.html

and I found a possible solution:

http://lists.gnu.org/archive/html/libmicrohttpd/2017-02/msg00030.html

finally, doing some tests, the problem can be fixed making a small change in the `daemon.c` and `mhd_options.h` files.

I'm working on it and I'm going to send a possible patch as soon as possible ...
Tagsgettext, language, locale, pot, translation

Activities

silvioprog

2017-02-25 04:22

developer   ~0011844

After this great explanation[1], now it just need be a demo in the examples folder, something like msgs_i18n.c :-)

[1] http://lists.gnu.org/archive/html/libmicrohttpd/2017-02/msg00034.html

silvioprog

2017-02-28 20:01

developer   ~0011870

Fixed. (GIT hash: abb31c0a77bdf16f247f0540e022f09fb8456eac ).

Issue History

Date Modified Username Field Change
2017-02-25 00:25 silvioprog New Issue
2017-02-25 00:25 silvioprog Tag Attached: gettext
2017-02-25 00:25 silvioprog Tag Attached: lang
2017-02-25 00:25 silvioprog Tag Attached: language
2017-02-25 00:25 silvioprog Tag Attached: locale
2017-02-25 00:25 silvioprog Tag Attached: messages
2017-02-25 00:25 silvioprog Tag Attached: mo
2017-02-25 00:25 silvioprog Tag Attached: po
2017-02-25 00:25 silvioprog Tag Attached: pot
2017-02-25 00:25 silvioprog Tag Attached: translation
2017-02-25 01:24 Christian Grothoff Assigned To => silvioprog
2017-02-25 01:24 Christian Grothoff Status new => assigned
2017-02-25 04:22 silvioprog Note Added: 0011844
2017-02-28 20:01 silvioprog Status assigned => resolved
2017-02-28 20:01 silvioprog Resolution open => fixed
2017-02-28 20:01 silvioprog Fixed in Version => Git master
2017-02-28 20:01 silvioprog Note Added: 0011870
2017-03-17 22:03 Christian Grothoff Fixed in Version Git master => 0.9.52
2017-03-17 22:03 Christian Grothoff Target Version Git master => 0.9.53
2017-03-17 22:03 Christian Grothoff Fixed in Version 0.9.52 => 0.9.53
2017-04-12 00:00 Christian Grothoff Status resolved => closed
2024-02-11 11:46 Christian Grothoff Tag Detached: lang
2024-02-11 11:46 Christian Grothoff Tag Detached: mo
2024-02-11 11:46 Christian Grothoff Tag Detached: messages
2024-02-11 11:46 Christian Grothoff Tag Detached: po